Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks.locking
Class LockInfo

    java.lang.Object
      org.jgroups.blocks.locking.LockInfo

    public class LockInfo

extends java.lang.Object

Author:
  Bela Ban

Field Summary
`protected boolean` | `is_trylock`
`protected boolean` | `lock_interruptibly`
`protected java.lang.String` | `name`
`protected java.util.concurrent.TimeUnit` | `time_unit`
`protected long` | `timeout`
`protected boolean` | `use_timeout`

Constructor Summary
`LockInfo(java.lang.String name, boolean is_trylock, boolean lock_interruptibly, boolean use_timeout, long timeout, java.util.concurrent.TimeUnit time_unit)`

Method Summary
`java.lang.String` | `getName()`
`long` | `getTimeout()`
`java.util.concurrent.TimeUnit` | `getTimeUnit()`
`boolean` | `isLockInterruptibly()`
`boolean` | `isTrylock()`
`boolean` | `isUseTimeout()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected final java.lang.String name

### is_trylock

    protected final boolean is_trylock

### lock_interruptibly

    protected final boolean lock_interruptibly

### use_timeout

    protected final boolean use_timeout

### timeout

    protected final long timeout

### time_unit

    protected final java.util.concurrent.TimeUnit time_unit

Constructor Detail

### LockInfo

    public LockInfo(java.lang.String name,
                    boolean is_trylock,
                    boolean lock_interruptibly,
                    boolean use_timeout,
                    long timeout,
                    java.util.concurrent.TimeUnit time_unit)

Method Detail

### isTrylock

    public boolean isTrylock()

### isLockInterruptibly

    public boolean isLockInterruptibly()

### isUseTimeout

    public boolean isUseTimeout()

### getName

    public java.lang.String getName()

### getTimeout

    public long getTimeout()

### getTimeUnit

    public java.util.concurrent.TimeUnit getTimeUnit()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.